version: "3"

services:
  polyculeconnect:
    image: git.faercol.me/polyculeconnect/polyculeconnect:latest
    container_name: polyculeconnect
    volumes:
      - "/data/polyculeconnect/config:/config"
    restart: unless-stopped
    networks:
      - web
    labels:
      - "traefik.http.routers.polyculeconnect.rule=Host(`polyculeconnect.faercol.me`)"
      - "traefik.http.routers.polyculeconnect.entrypoints=websecure"
      - "traefik.http.routers.polyculeconnect.tls.certresolver=myResolver"
      - "traefik.http.services.polyculeconnect.loadbalancer.server.port=5000"
      - "traefik.enable=true"

networks:
  web:
    external:
      true